From 85b99b22ebf39955218b7cfba31d906f4737cb13 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Paul=20K=C3=BChne?= <fkuehne@videolan.org>
Date: Sun, 25 Mar 2012 11:56:00 +0200
Subject: [PATCH 3/4] contrib: add the correct -mcpu flag when compiling for
 iOS on ARM

---
 contrib/src/main.mak |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/contrib/src/main.mak b/contrib/src/main.mak
index b911491..4035436 100644
--- a/contrib/src/main.mak
+++ b/contrib/src/main.mak
@@ -160,7 +160,7 @@ LD=xcrun ld
 STRIP=xcrun strip
 RANLIB=xcrun ranlib
 ifeq ($(ARCH), arm)
-EXTRA_CFLAGS += -arch armv7 -mno-thumb
+EXTRA_CFLAGS += -arch armv7 -mno-thumb -mcpu=cortex-a8
 EXTRA_LDFLAGS += -arch armv7
 else
 EXTRA_CFLAGS += -m32
-- 
1.7.7.5 (Apple Git-26)

